1. Tiers
PartnerPage API
  • Introduction
  • Authentication
  • Object Overview
  • Directory
    • Forms
      • Get all custom forms
      • Get all currency field options
      • Get all contact request form
      • Get the default contact request form
      • Create a cotact request custom form
      • Delete a contact request custom form
    • Callouts
      • Get all callouts
      • Get a callout
      • Create a new callout
      • Update a directory callout
      • Delete a directory callout
    • Badges
      • Get all badges
      • Get a badge
      • Create a badge
      • Update a badge
      • Delete a badge
    • Certifications
      • Get all certifications
      • Get a certificacion
      • Create a certification
      • Update a certification
      • Delete a certification
    • Filters
      • Filter Options
        • Get all filter options
        • Get a filter option
        • Create a filter option
        • Update a filter option
        • Deletes a filter option
      • Get all filters
      • Get a filter
      • Create a filter
      • Update a filter
      • Deletes a filter
      • Get all internal filters
      • Get all filters for external directory
    • Filter Maps
      • Get all filter option mappings
      • Get a filter option mapping
      • Create a new filter option mapping
      • Update a filter option mapping
      • Delete a filter option mapping
      • Get all filter option mappings for external directory
    • Matchmaking
      • Get all matchmaking requests
    • Tiers
      • Get all tiers
        GET
      • Get a tier
        GET
      • Create a tier
        POST
      • Update a tier
        PATCH
      • Delete a tier
        DELETE
      • Get all entries assigned to an specific tier
        GET
      • Assign or Unassign entries to an specific tier
        PUT
    • Verifications
      • Get all verifications
      • Get a verification
      • Create a verification
      • Update a verification
      • Delete a verification
    • Settings
      • Retrieve the settings for a directory
      • Update the settings for a directory
    • Get all directories
      GET
    • Get a directory
      GET
    • Update a directory
      PATCH
  • Entry
    • App Entry
      • Callouts
        • Get all callouts
        • Get an entry callout
        • Create a new callout
        • Update a callout
        • Delete a callout
      • Get an app entry
      • Create new app entry
      • Update app entry
      • Delete a app entry
      • Update the recommended order of an app entry
    • Partner Entry
      • Badges
        • Get all badges
        • Get a badge
        • Create a badge
        • Update a badge
        • Delete a badge
      • Callouts
        • Get all callouts
        • Get a callout
        • Create a callout
        • Update a callout
        • Delete a callout
      • Certifications (General)
        • Get all certifications
        • Get a certification
        • Create a certification
        • Update a certification
        • Delete a certification
      • Certifications (Industry)
        • Get all industry certifications
        • Get an industry certification
        • Create an industry certification
        • Update an industry certification
        • Delete an industry certification
      • Certifications (Segment)
        • Get all segment certifications
        • Get a segment certification
        • Create a segment certification
        • Update a segment certification
        • Delete a segment certification
      • Client
        • Get all Clients
        • Get a client
        • Create a client
        • Update a client
        • Delete a client
      • Keywords
        • Get all keywords
        • Get a keyword
        • Create a keyword
        • Update keyword
        • Delete a keyword
      • Locations
        • Get all location
        • Get a location
        • Create a location
        • Update a location
        • Delete a location
      • Media
        • Get all media
        • Get a media
        • Create a media
        • Update a media
        • Delete a media
      • Resources
        • Internal
          • Get all Internal resources
          • Get an internal resource
          • Create an internal resource
          • Update an internal resource
          • Delete an internal resource
        • Get all resouces
        • Get a resource
        • Create a resource
        • Update a resource
        • Delete a resource
      • Special Offers
        • Get all special offer
        • Get a special offer
        • Create a special offer
        • Update a special offer
        • Delete a special offer
      • Testimonials
        • Internal
          • Get all internal testimonial
          • Get an internal testimonial
          • Create an internal testimonial
          • Update an internal testimonial
          • Delete an internal testimonial
        • Get all testimonials
        • Get a testimonial
        • Create a testimonial
        • Update a testimonial
        • Delete a testimonial
      • Use Cases
        • Internal
          • Get all internal use cases
          • Get an internal use cases
          • Create an internal use case
          • Update an internal use case
          • Delete an internal use case
        • Get all use cases
        • Get a use case details
        • Create a use case
        • Update a use case
        • Delete a use case
      • Verifications
        • Get all verifications
        • Get a verification
        • Create a verification
        • Update a verification
        • Delete a verification
      • Contact Information
        • Return entry contact information
      • Invite
        • Get organization matches for partner invite
        • Get partner entry owner organization invite
        • Get partner entry owner user invites
        • Invite organization to own partner entry
        • Invite users to partner entry ownership
      • Entry Edits Approval Flow
        • Partner Entry Submit Review
        • Partner Entry Approve Review
        • Partner Entry Reject Changes
        • Partner Entry Discard Review
      • Get all partner entry
      • Get a partner entry
      • Create a partner entry
      • Update a partner entry
      • Delete a partner entry
      • Update the recommended order of a partner entry
    • Get all entries
      GET
  • Contact Request
    • Get all contact requests
      GET
    • Get a contact request
      GET
    • Create a new partner contact request
      POST
  • Matchmaking
    • Get all matchmaking requests
    • Get a matchmaking request
    • Create a new matchmaking request for a directory
    • Get all partners assigned to matchmaking requests
    • Assign an owner to a matchmaking request
    • Replace partners to a matchmaking request
  • Review
    • Create a review
    • Get a review
  1. Tiers

Get all entries assigned to an specific tier

GET
https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directory_id}/tiers/{tier_id}/entries/
Return the list of entries assigned to an specific tier

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Responses

🟢200OK
application/json
Successful operation
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories//tiers//entries/' \
--header 'Authorization: <api-key>'
Response Response Example
[
    {
        "count": 1,
        "next": null,
        "previous": null,
        "results": [
            {
                "href": "/api/directory/private/v1alpha/directories/efc35140-2c3f-4936-a3f8-b700ecafe6b5/entries/partners/e3f295ba-b2e2-4719-8e7d-9178d179f587/",
                "recommendedOrder": 4,
                "id": "e3f295ba-b2e2-4719-8e7d-9178d179f587",
                "created": "2024-06-27T13:57:47.531468Z",
                "modified": "2025-03-17T19:55:47.325557Z",
                "headline": "AAA test asdasd Mi Partner",
                "image": "https://image.domain.com/partner.png",
                "title": "AAA test s",
                "type": "partner",
                "slug": "aaa-test-s",
                "featured": false,
                "status": "hidden",
                "pendingReview": false,
                "tier": {
                    "title": "TierTest",
                    "default": true,
                    "image": "https://image.domain.com/tier.png",
                    "order": 0,
                    "id": "327991ba-cd66-40c9-a718-a929fbe582d5",
                    "entriesCount": 14,
                    "entriesListUrl": "/api/directory/private/v1alpha/directories/efc35140-2c3f-4936-a3f8-b700ecafe6b5/tiers/327991ba-cd66-40c9-a718-a929fbe582d5/entries/"
                }
            }
        ]
    }
]
Modified at 2026-04-13 10:02:32
Previous
Delete a tier
Next
Assign or Unassign entries to an specific tier
Built with